Get matched volume
curl --request GET \
--url https://api.4casters.io/exchange/getMatchedVolume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4casters.io/exchange/getMatchedVolume"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4casters.io/exchange/getMatchedVolume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"startDate": "2026-08-10",
"endDate": "2026-08-11",
"matchedVolume": 6447933.01
}
}{
"error": "<string>"
}市場
獲取已撮合成交量
一段日期範圍內的全站已撮合成交量
GET
/
exchange
/
getMatchedVolume
Get matched volume
回傳一段 美國東部時間(ET)日曆日 範圍(首尾兩天均含)內的全站已撮合成交量。
成交量如何計算
每筆已撮合投注計入撮合雙方的本金:- 吃單方本金(撮合金額),加上
- 掛單方本金,由吃單賠率推導 — 吃單賠率為正時為
stake × odds / 100,為負時為stake × −100 / odds。
risk + win — 你的本金加上潛在利潤,因為你的潛在利潤恰好是對手方的本金。一筆 100、+150的吃單計為250 成交量(吃單方 100+掛單方150)。
成交量使用佣金前的原始本金。獲取已撮合投注 上的
risk / win 欄位已計入佣金,因此把它們相加會與此端點略有差異。新鮮度
已結束的 ET 日從最終日歸檔讀取。如果範圍結束於今天(晚於今天的endDate 會被截斷到今天),會再加上當天撮合的即時彙總,因此當天部分會隨投注撮合即時更新。
請求
GET /exchange/getMatchedVolume
string
必填
範圍的第一個 ET 日曆日,
YYYY-MM-DD(含)。string
必填
範圍的最後一個 ET 日曆日,
YYYY-MM-DD(含)。不得早於 startDate。晚於今天的日期會被截斷到今天。curl "https://api.4casters.io/exchange/getMatchedVolume?startDate=2026-08-10&endDate=2026-08-11" \
-H "Authorization: Bearer YOUR_TOKEN"
回應
object
回應示例
{
"data": {
"startDate": "2026-08-10",
"endDate": "2026-08-11",
"matchedVolume": 6447933.012757301
}
}
速率限制
沒有端點級限制 — 僅適用 全域每 IP 限制(滾動每分鐘 3,000 次請求)。對於儀表盤,每隔幾秒輪詢一次完全足夠;注意已最終確定的日期不會再變化,因此只有包含今天的範圍才有必要重新輪詢。錯誤
| 狀態 | 含義 |
|---|---|
400 | startDate / endDate 缺失或格式錯誤(必須為 YYYY-MM-DD),或 startDate 晚於 endDate。 |
401 | 認證令牌缺失或無效。 |
429 | 超出全域每 IP 速率限制。請遵守 Retry-After 回應標頭。 |
503 | 觸發了伺服器端 15 秒超時。可以安全重試。 |
授權
Pass your auth token in the Authorization header. The Bearer prefix is optional; the server also accepts a signed auth cookie or a token field in the request body.
查詢參數
First ET calendar day of the range (YYYY-MM-DD, inclusive).
範例:
"2026-08-01"
Last ET calendar day of the range (YYYY-MM-DD, inclusive). Dates after today are clamped to today. Must not be before startDate.
範例:
"2026-08-11"
回應
Total matched volume for the range
Show child attributes
Show child attributes
這個頁面有幫助嗎?